<?php


/**
 * @file
 * Administrative page callbacks for the theme_setter module.
 */


/**
 * Generates the settings form for the theme_setter module.
 *
 * @param $node by reference
 * @return system_settings_form
 */
function theme_setter_form(&$node) { 
  $types = node_get_types();
  $content_types = array();
  foreach($types as $oType) {
    $content_types[$oType->type] = $oType->name;
  }  
  $roles = user_roles(true);
  
  $form['theme_setter_contenttypes_select'] = array(
    '#type' => 'checkboxes',
    '#options' => $content_types,
    '#title' => t('Select content-types for theme '. variable_get('theme_default', 'minnelli') .'.'),
    '#description' => t('Select the content-types where you want to override the admin theme (show frontend theme)'),
    '#default_value' => variable_get('theme_setter_contenttypes_select', array() ),
  );
  $form['theme_setter_role_select'] = array(
    '#type' => 'checkboxes',
    '#options' => $roles,
    '#title' => t('Choose roles for theme '. variable_get('theme_default', 'minnelli') .'.'),
    '#description' => t('Choose role to override the content-type setting and force the frontend theme.'),
    '#default_value' => variable_get('theme_setter_role_select', array() ),
  );
  $form['theme_setter_override'] = array(
    '#type' => 'checkbox',
    '#title' => t('Override the default content-type setting'),
    '#description' => t('Selecting this box will make sure the roles setting gets priority to the content-type setting. Please give it some thought.'),
    '#default_value' => variable_get('theme_setter_override', array() ),
  );
  // extra setting to let users decide if they still want to 
  // set the administration theme as Drupal intended
  $text = t('<strong>Important note</strong>: Please be aware that this setting should be activated, else you would loose most features of the theme setter module. The OFF setting overrules the enforcement of the front-end theme.');
  $form['node_admin_theme'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use administration theme for content editing'),
    '#description' => t('Use the administration theme when editing existing posts or creating new ones.').'<br />'.$text,
    '#default_value' => variable_get('node_admin_theme', 0 ),
  );
  return system_settings_form($form);
}